journal_check_used_features
Prev | Journal Level | Next

## Name

journal_check_used_features — Check if features specified are used.

## Synopsis

`int journal_check_used_features (` | journal_t * | journal,
| unsigned long | compat,
| unsigned long | ro,
| unsigned long | incompat`)`;

## Arguments

`journal`

  Journal to check.

`compat`

  bitmask of compatible features

`ro`

  bitmask of features that force read-only mount

`incompat`

  bitmask of incompatible features

## Description

Check whether the journal uses all of a given set of features. Return true (non-zero) if it does.

Prev | Up | Next
journal_destroy | Home | journal_check_available_features